function $AdfReturnPopupDataEvent$$($source$$96$$) {
  this.Init($source$$96$$);
}
$goog$exportSymbol$$("AdfReturnPopupDataEvent", $AdfReturnPopupDataEvent$$);
$AdfObject$$.$createSubclass$($AdfReturnPopupDataEvent$$, $AdfComponentEvent$$);
$AdfReturnPopupDataEvent$$.$LAUNCH_EVENT_TYPE$ = "returnPopupData";
$goog$exportSymbol$$("AdfReturnPopupDataEvent.LAUNCH_EVENT_TYPE", $AdfReturnPopupDataEvent$$.$LAUNCH_EVENT_TYPE$);
$AdfReturnPopupDataEvent$$.prototype.Init = function $$AdfReturnPopupDataEvent$$$$Init$($source$$97$$) {
  $AdfReturnPopupDataEvent$$.$superclass$.Init.call(this, $source$$97$$, $AdfReturnPopupDataEvent$$.$LAUNCH_EVENT_TYPE$);
  this.$setRoot$($source$$97$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfReturnPopupDataEvent.prototype.Init", {Init:$AdfReturnPopupDataEvent$$.prototype.Init});
$AdfReturnPopupDataEvent$$.prototype.$propagatesToServer$ = function $$AdfReturnPopupDataEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfReturnPopupDataEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfReturnPopupDataEvent$$.prototype.$propagatesToServer$});
$AdfReturnPopupDataEvent$$.prototype.$isImmediate$ = function $$AdfReturnPopupDataEvent$$$$$isImmediate$$() {
  return this.getSource().getImmediate();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfReturnPopupDataEvent.prototype.isImmediate", {$isImmediate$:$AdfReturnPopupDataEvent$$.prototype.$isImmediate$});
$AdfReturnPopupDataEvent$$.$queue$ = function $$AdfReturnPopupDataEvent$$$$queue$$($component$$90$$, $partial$$6$$) {
  (new $AdfReturnPopupDataEvent$$($component$$90$$)).$queue$($partial$$6$$);
};
$goog$exportSymbol$$("AdfReturnPopupDataEvent.queue", $AdfReturnPopupDataEvent$$.$queue$);
